TYPO3 CMS Usability Team - Bug # 49685

Status: Resolved Priority: Should have
Author: Felix Kopp Category: Interface
Created: 2013-07-05 Assigned To: Felix Kopp
Updated: 2013-09-18 Due date:

Tags:

Subject: Mask: sys_file / sys_file_reference override strategy

Description

Discussed at T3DD during UX FAL workshop there is a need to improve the form for overriding sys_file metadata from within
sys_file_reference.

Problems in all day work:

Currently the checkbox to override sys_file values with sys_file_reference values is checked by default. The checkbox should be
unchecked by default.

There is no label included to describe the action performed by the checkbox. A label should be added.

Checkbox functionality: Selecting the checkbox should perform the action override and not inherit.

Background: Adding files into content element can inherit sys_file metadata by default and should inherit by default.
When working with sys_file_references editors want to be able to accomplish the actions:

- Inherit data from sys_file
- Overwrite data from sys_file with content of sys_file_reference
- overwrite data from sys_file with empty string

Editor's decissions in chronological order:

1. Do | want to override sys_file default values? Yes/No
2. What are the new values to override sys_file with? text Input (even empty)

Case inherit: When override is unchecked (inherit) no input field should be visible but the inherited text should be displayed.
Case override: When override is checked the input field must be displayed.
Related issues:
related to Core - Bug # 53787: Uncheck FAL image meta data checkboxes by default Accepted 2013-11-20
related to Core - Task # 49678: sys_file_reference checkbox default Resolved 2013-07-05
related to TCA Reference - Task # 53592: Add mode property "useOrOverridePlac... Closed 2013-11-13
precedes Core - Bug # 53594: No placeholder attribute in backend forms Resolved 2013-11-13

History
#1 - 2013-07-05 12:23 - Lars Zimmermann

2015-08-04 2/5



+1

#2 - 2013-07-05 12:53 - Jens Hoffmann

+1

#3 - 2013-07-05 12:54 - Jens Hoffmann
- Category set to Interface

- Status changed from New to Accepted
- Assigned To set to Felix Kopp

- Target version set to TYPO3 6.2 LTS

#4 - 2013-07-05 15:22 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21931

#5 - 2013-07-05 16:15 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21931

#6 - 2013-07-05 16:38 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21931

#7 - 2013-07-05 21:39 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21931

#8 - 2013-07-27 20:27 - Felix Kopp
- Status changed from Accepted to Resolved

Visual decision has been taken. Is resolved.
Code is pending in gerrit.

#9 - 2013-08-05 14:46 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21931

#10 - 2013-08-05 17:01 - Jens Hoffmann
- Status changed from Resolved to Needs Feedback

After "re-seeing" this, | would like to see the overwritten content, instead of just the "checkbox".
| mean "What is the title?" that will be replaced?

[x] Override "This is the parent title"?

Would that be possible?

Greez Jens

#11 - 2013-08-05 22:14 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21931

#12 - 2013-08-07 11:51 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/21931

#13 - 2013-08-26 15:12 - Jens Hoffmann

This is done?

#14 - 2013-08-28 14:22 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21931

#15 - 2013-08-28 14:56 - Gerrit Code Review

Patch set 1 for branch master_new has been pushed to the review server.
It is available at https://review.typo3.org/23420

#16 - 2013-08-28 15:03 - Gerrit Code Review

Patch set 2 for branch master_new has been pushed to the review server.
It is available at https://review.typo3.org/23420

#17 - 2013-08-28 17:40 - Andreas Wolf

Documentation for the new mode "useOrOverridePlaceholder" is still missing.
#18 - 2013-08-30 11:44 - Ernesto Baschny

And please do not use UX-issue numbers to resolve Core issues! Open up a Core issue for working on the solution in the Core after it was approved in
the UX tracker.

#19 - 2013-08-30 12:46 - Jens Hoffmann

@Ernesto: Can | close this issue here, than?

#20 - 2013-09-01 09:44 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23526

#21 - 2013-09-01 20:47 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23526

#22 - 2013-09-09 15:37 - Oliver Hader
- Status changed from Needs Feedback to Resolved

Files
before.jpg 123 kB 2013-07-05 Felix Kopp
after.jpg 135.4 kB 2013-07-05 Felix Kopp
